@import "../css/global.css";

button {
    border: 0;
}

.typo-table{
    width: 98%;
    border-radius: 0;
    overflow-x: auto;
    overflow-y: hidden;
    background-color: #ffffff;
    border: 1px solid var(--Dark-grey);
    display: flex;
    flex-direction: column;
    box-sizing: border-box;
    position: relative;
    margin: 20px auto;
}

.typo-data-table {
    width: 100%;
}

.typo-data-table__table {
    min-width: 100%;
    border: 0;
    white-space: nowrap;
    border-collapse: collapse;
    table-layout: fixed;
}

.typo-data-table .typo-data-table__header-cell:first-child {
    border-top-left-radius: 4px;
    border-top-left-radius: 4px;
    width: 40%;
}

.typo-data-table__header-cell {
    font-size: 20px;
    font-weight: 600;
    color: var(--White);
    font-family: 'Baloo 2';
    padding: 16px;
    border: 1px solid var(--Grey_400);
    text-align: left;
}

.typo-data-table__cell{
    font-family: 'Baloo 2';
    font-size: 14px;
    line-height: 1.5;
    font-weight: 400;
    padding: 16px;
    border: 1px solid var(--Grey_400);
    text-align: left;
}

.typo-data-table__content{
    font-family: 'Baloo 2';
    font-size: 14px;
    line-height: 1.5;
    font-weight: 400;
    letter-spacing: normal;
    text-decoration: inherit;
    text-transform: inherit;
}

.typo-data-table__pagination, .typo-data-table__row{
    border-top-width: 1px;
    border-top-style: solid;
    border-top-color: var(--Dark-grey);
}

.typo-data-table__cell:first-of-type, .typo-data-table__header-cell:first-of-type{
    /* border-left: none; */
}

.typo-data-table__cell {
    color: var(--Black);
    box-sizing: border-box;
    overflow: hidden;
    text-align: left;
    text-overflow: ellipsis;
    height: 52px;
}

.typo-data-table__cell:last-of-type, .typo-data-table__header-cell:last-of-type{
    /* border-right: none; */
}

@media screen and (min-width: 921px){
    .typo-data-table__table {
        white-space: normal;
    }
}